Update automation metadata (name, description)
Authorization
Bearer AuthorizationBearer <token>
API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/automations/string" \ -H "Content-Type: application/json" \ -d '{}'{ "channel": "instagram", "created_at": "string", "created_by": "string", "created_from_template": "string", "description": "string", "graph": { "edges": [ { "from_node": "string", "from_port": "string", "metadata": { "property1": null, "property2": null }, "order_index": 0, "to_node": "string", "to_port": "string" } ], "nodes": [ { "canvas_x": 0, "canvas_y": 0, "config": {}, "key": "string", "kind": "string", "ports": [], "title": "string", "ui_state": { "property1": null, "property2": null } } ], "root_node_key": "string", "schema_version": 1 }, "id": "string", "last_validated_at": "string", "name": "string", "organization_id": "string", "status": "draft", "template_config": { "property1": null, "property2": null }, "total_completed": 0, "total_enrolled": 0, "total_exited": 0, "total_failed": 0, "updated_at": "string", "validation_errors": [ { "code": "string", "edge_index": 0, "message": "string", "node_key": "string", "port_key": "string" } ], "workspace_id": "string"}Found something wrong? Help us improve this page.